Quassel IRC - Bug #1148

parse timestamps in +lebq list
03/26/2012 11:39 AM - gry

Status: New Start date: 03/26/2012
Priority: Normal Due date:

Assignee: ary % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Some future release

Version: 0.7.3 0S: Any
Description

For +lebq entries, Quassel currently displays raw lines in-channel
* 367 #channel ban_mask_here irc.example.net 1331388332

It could be useful to at least display a human readable date/time the entry was set.

History

#1 - 03/27/2012 02:02 AM - gry

full list of numerics

tirc.example.net 346 mynick #channel2 invite_exception!*@* mynick!~a@host 1332805803
:irc.example.net 348 mynick #channel2 ban_exception!*@* mynick!~a@host 1332805803
:irc.example.net 367 mynick #channel2 ban!*@* mynick!~a@host 1332805803
tirc.example.net 728 mynick #channel2 g quiet!*@* mynick!~a@host 1332805803

#2 - 03/29/2012 02:26 AM - gry

Please assign this to me

#3 - 03/29/2012 10:45 AM - Anonymous

- Assignee set to gry

#4 - 04/26/2012 03:06 PM - gry

- File 0001-parse-lebq-no-message-redirection-yet.patch added

In this patch, handled as Message::Server, the +lebq lists get sent to Status Buffer.

Some people get many snotes and set 'server notices' target to status buffer. For such users, +lebq lists could only go to status buffer (but for some
of them, it would be more comfortable to see them in-channel instead!). There must be a separate option to handle such preference; that's why this

patch isn't final and is simply attached here rather than a merge request.

What | personally would expect to see/do is a new option for 'server messages target', or a way to send the output to channel. I'm leaving this
comment here for a proper discussion to find a good way to resolve this problem.

#5 - 04/27/2012 03:37 AM - gry

It can be simpler to just output ban lists to the channel. MR https:/gitorious.org/quassel/quassel/merge_requests/141

#6 - 04/27/2012 08:07 AM - johu

- Target version set to Some future release

Files

0001-parse-lebg-no-message-redirection-yet.patch 2.11 KB 04/26/2012 ary
